> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Agents API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to get all agent details associated with an `accountId`.

| **Field**         | **Details**                                                                                                                 |
| ----------------- | --------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | GET                                                                                                                         |
| **Endpoint**      | `https://{{host}}/agentassist/api/public/analytics/account/{{Accountid}}/agents`                                            |
| **Content-Type**  | `application/json`                                                                                                          |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token.](https://docs.kore.ai/smartassist/api/api-setup#Generating_a_JWT_token) |
| **API Scope**     | WFM Integration                                                                                                             |

## Path Parameters

| **Parameter** | **Description**                                          | **Type**         |
| ------------- | -------------------------------------------------------- | ---------------- |
| `host`        | Environment URL, for example, `https://platform.kore.ai` | string, required |
| `AccountId`   | The unique ID associated with the account.               | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/agentassist/api/public/analytics/account/636f5b36bcf8a8c7101exxxx/agents?offset=0&limit=5' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'iId: {{streamId}}' 
```

## Header Parameters

| **Header**     | **Description**                                      | **Optional/Required** |
| -------------- | ---------------------------------------------------- | --------------------- |
| `content-type` | Request body format (application/json;charset=UTF-8) | Required              |
| `auth`         | JWT authentication token                             | Required              |
| `iId`          | Stream or application id                             | Required              |

## Sample Response

```
[
	{
		accountId: "63fb9a0f90425b644d3exxxx",
		"agentId":"a-59bb17e-0cae-46b0-8d80-a8a8ac34xxxx",
		"firstName": "Tony",
		"lastName": "Stark"
	}
]
```

## Response Body Parameters

| **Parameter** | **Description**                                                                     | **Type** |
| ------------- | ----------------------------------------------------------------------------------- | -------- |
| `accountId`   | The unique ID associated with the account. For example, `63fb9a0f90425b644d3ec070`. | String   |
| `agentId`     | The unique ID of the agent. For example, `a-59bb17e-0cae-46b0-8d80-a8a8ac34e55c`.   | String   |
| `firstName`   | The agent's first name. For example, `Tony`.                                        | String   |
| `lastName`    | The agent's last name. For example, `Stark`.                                        | String   |
